Bug 999011 - idris-0.12.3 is available
idris-0.12.3 is available
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: idris (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
idris-0.12.1:deps
: FutureFeature, Triaged
Depends On: 1007152 ghc-ansi-wl-pprint ghc-contravariant ghc-exceptions ghc-distributive ghc-reflection ghc-scientific ghc-constraints
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 10:13 EDT by Upstream Release Monitoring
Modified: 2016-10-04 06:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-04 06:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 0.9.18 (#999011) (998 bytes, text/x-diff)
2015-05-18 08:41 EDT, Upstream Release Monitoring
no flags Details
[patch] Update to 0.9.18.1 (#999011) (1006 bytes, text/x-diff)
2015-05-23 08:45 EDT, Upstream Release Monitoring
no flags Details
[patch] Update to 0.9.20 (#999011) (1.06 KB, patch)
2015-11-10 07:22 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.9.20.2 (#999011) (1.06 KB, patch)
2015-12-17 19:28 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.10 (#999011) (1.05 KB, patch)
2016-01-20 19:12 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.10.1 (#999011) (1.05 KB, patch)
2016-02-26 19:20 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 0.10.2 (#999011) (1.05 KB, patch)
2016-02-27 07:13 EST, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.66 KB, patch)
2016-03-19 20:13 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.62 KB, patch)
2016-03-25 20:13 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (23.31 KB, patch)
2016-05-02 20:14 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (23.31 KB, patch)
2016-05-18 08:16 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (23.25 KB, patch)
2016-06-21 08:13 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (24.48 KB, patch)
2016-07-26 08:16 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (23.23 KB, patch)
2016-08-08 08:35 EDT, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (24.48 KB, patch)
2016-09-18 20:13 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2013-08-20 10:13:28 EDT
Latest upstream release: 0.9.9
Current version/release in Fedora Rawhide: 0.9.8-4.fc20
URL: http://hackage.haskell.org/packages/archive/idris/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Jens Petersen 2013-08-20 19:21:16 EDT
Optionally also llvm-general.
Comment 2 Upstream Release Monitoring 2013-09-20 03:20:13 EDT
Latest upstream release: 0.9.9.1
Current version/release in Fedora Rawhide: 0.9.8-4.fc20
URL: http://hackage.haskell.org/packages/archive/idris/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2013-09-25 03:29:05 EDT
Latest upstream release: 0.9.9.2
Current version/release in Fedora Rawhide: 0.9.8-4.fc20
URL: http://hackage.haskell.org/packages/archive/idris/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Jens Petersen 2013-10-09 00:58:42 EDT
0.9.9.1 is now in Rawhide and F20 testing
Comment 5 Upstream Release Monitoring 2013-10-16 03:32:52 EDT
Latest upstream release: 0.9.9.3
Current version/release in Fedora Rawhide: 0.9.9.1-1.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 6 Upstream Release Monitoring 2013-11-29 02:49:33 EST
Latest upstream release: 0.9.10
Current version/release in Fedora Rawhide: 0.9.9.1-1.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 7 Upstream Release Monitoring 2013-12-03 04:42:54 EST
Latest upstream release: 0.9.10.1
Current version/release in Fedora Rawhide: 0.9.9.1-1.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 8 Upstream Release Monitoring 2014-02-06 07:45:11 EST
Latest upstream release: 0.9.11.1
Current version/release in Fedora Rawhide: 0.9.9.1-1.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 9 Upstream Release Monitoring 2014-02-11 06:23:07 EST
Latest upstream release: 0.9.11.2
Current version/release in Fedora Rawhide: 0.9.9.1-1.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 10 Upstream Release Monitoring 2014-04-07 08:10:48 EDT
Latest upstream release: 0.9.12
Current version/release in Fedora Rawhide: 0.9.9.1-1.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 11 Jens Petersen 2014-05-12 03:43:18 EDT
check-bz-available-URM cblrepo output for idris-0.9.12:

Failed to satisfy the following dependencies for idris:
  annotated-wl-pprint >=0.5.3
  cheapskate -any
  language-java >=0.2.6
  lens >=4.1.1
  parsers >=0.9
  trifecta >=1.1
Comment 12 Upstream Release Monitoring 2014-06-04 03:43:19 EDT
Latest upstream release: 0.9.13
Current version/release in Fedora Rawhide: 0.9.9.1-1.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 13 Upstream Release Monitoring 2014-06-11 07:44:40 EDT
Latest upstream release: 0.9.13.1
Current version/release in Fedora Rawhide: 0.9.9.1-1.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 14 Upstream Release Monitoring 2014-07-24 09:14:39 EDT
Latest upstream release: 0.9.14
Current version/release in Fedora Rawhide: 0.9.9.1-2.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 15 Jens Petersen 2014-07-24 13:50:09 EDT
fhbz: cblrepo output for idris-0.9.14:

Failed to satisfy the following dependencies for idris:
  annotated-wl-pprint >=0.5.3
  blaze-html >=0.6.1.3
  blaze-markup >=0.5.2.1 && <0.7.0.0
  cheapskate -any
  fingertree >=0.1
  language-java >=0.2.6
  lens >=4.1.1
  parsers >=0.9 && <0.11.0.2
  trifecta >=1.1
Comment 16 Upstream Release Monitoring 2014-07-31 11:03:40 EDT
Latest upstream release: 0.9.14.1
Current version/release in Fedora Rawhide: 0.9.9.1-2.fc21
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 17 Jens Petersen 2014-08-07 12:36:38 EDT
fhbz: cblrepo output for idris-0.9.14.1:

Failed to satisfy the following dependencies for idris:
  annotated-wl-pprint >=0.5.3
  blaze-html >=0.6.1.3
  blaze-markup >=0.5.2.1 && <0.7.0.0
  cheapskate -any
  fingertree >=0.1
  language-java >=0.2.6
  lens >=4.1.1
  parsers >=0.9 && <0.11.0.2
  trifecta >=1.1
Comment 18 Upstream Release Monitoring 2014-08-31 17:48:55 EDT
Latest upstream release: 0.9.14.2
Current version/release in Fedora Rawhide: 0.9.9.1-3.fc22
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 19 Jens Petersen 2014-09-01 22:41:00 EDT
fhbz: cblrepo output for idris-0.9.14.2:

Failed to satisfy the following dependencies for idris:
  annotated-wl-pprint >=0.5.3
  blaze-html >=0.6.1.3
  blaze-markup >=0.5.2.1 && <0.7.0.0
  cheapskate -any
  fingertree >=0.1
  language-java >=0.2.6
  lens >=4.1.1
  parsers >=0.9 && <0.13
  trifecta >=1.1
Comment 20 Upstream Release Monitoring 2014-09-04 07:31:08 EDT
Latest upstream release: 0.9.14.3
Current version/release in Fedora Rawhide: 0.9.9.1-3.fc22
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 21 Jens Petersen 2014-09-05 06:13:40 EDT
fhbz: cblrepo output for idris-0.9.14.3:

Failed to satisfy the following dependencies for idris:
  annotated-wl-pprint >=0.5.3
  cheapskate -any
  fingertree >=0.1
  lens >=4.1.1
  optparse-applicative >=0.10
  parsers >=0.9 && <0.13
  trifecta >=1.1
Comment 22 Jens Petersen 2014-09-16 01:02:15 EDT
See http://copr.fedoraproject.org/coprs/petersen/idris/ if you want a package of the latest version.
Comment 23 Upstream Release Monitoring 2014-10-27 05:51:36 EDT
Latest upstream release: 0.9.15
Current version/release in Fedora Rawhide: 0.9.9.1-3.fc22
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 24 Jens Petersen 2014-10-27 21:36:14 EDT
fhbz: cblrepo output for idris-0.9.15:

Failed to satisfy the following dependencies for idris:
  annotated-wl-pprint >=0.5.3 && <0.6
  cheapskate <0.2
  fingertree >=0.1 && <0.2
  lens >=4.1.1 && <4.5
  optparse-applicative >=0.11 && <0.12
  parsers >=0.9 && <0.13
  trifecta >=1.1 && <1.6
Comment 25 Upstream Release Monitoring 2014-11-01 04:55:19 EDT
Latest upstream release: 0.9.15.1
Current version/release in Fedora Rawhide: 0.9.9.1-3.fc22
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 26 Jens Petersen 2014-11-07 00:11:11 EST
fhbz: cblrepo output for idris-0.9.15.1:

Failed to satisfy the following dependencies for idris:
  annotated-wl-pprint >=0.5.3 && <0.6
  cheapskate <0.2
  fingertree >=0.1 && <0.2
  lens >=4.1.1 && <4.5
  parsers >=0.9 && <0.13
  trifecta >=1.1 && <1.6
Comment 27 Upstream Release Monitoring 2015-01-19 04:12:21 EST
Latest upstream release: 0.9.16
Current version/release in Fedora Rawhide: 0.9.9.1-3.fc22
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.
Comment 28 Jens Petersen 2015-01-20 00:31:56 EST
fhbz: cblrepo output for idris-0.9.16:

Failed to satisfy the following dependencies for idris:
  annotated-wl-pprint >=0.5.3 && <0.6
  ansi-terminal <0.7
  ansi-wl-pprint <0.7
  base64-bytestring <1.1
  blaze-html >=0.6.1.3 && <0.8
  blaze-markup >=0.5.2.1 && <0.7.0.0
  cheapskate <0.2
  fingertree >=0.1 && <0.2
  lens >=4.1.1 && <4.8
  mtl >=2.2.1 && <2.3
  optparse-applicative >=0.11 && <0.12
  parsers >=0.9 && <0.13
  trifecta >=1.1 && <1.6
  uniplate >=1.6 && <1.7
  utf8-string <0.4
  vector-binary-instances <0.3
  xml <1.4
Comment 29 Upstream Release Monitoring 2015-03-21 21:10:30 EDT
Latest upstream release: 0.9.17
Current version/release in rawhide: 0.9.9.1-4.fc22
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 30 Upstream Release Monitoring 2015-03-21 21:11:53 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9293450
Comment 31 Upstream Release Monitoring 2015-03-23 20:36:39 EDT
Latest upstream release: 0.9.17.1
Current version/release in rawhide: 0.9.9.1-4.fc22
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 32 Upstream Release Monitoring 2015-03-23 20:38:08 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9306979
Comment 33 Jens Petersen 2015-03-23 21:23:47 EDT
Patch #0 (idris-ASTBuilding-ghc78.patch):
+ echo 'Patch #0 (idris-ASTBuilding-ghc78.patch):'
+ /usr/bin/cat /builddir/build/SOURCES/idris-ASTBuilding-ghc78.patch
+ /usr/bin/patch -p1 -b --suffix .orig --fuzz=0
can't find file to patch at input line 3
Comment 34 Upstream Release Monitoring 2015-05-18 08:40:56 EDT
Latest upstream release: 0.9.18
Current version/release in rawhide: 0.9.9.1-5.fc23
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 35 Upstream Release Monitoring 2015-05-18 08:41:06 EDT
Created attachment 1026690 [details]
[patch] Update to 0.9.18 (#999011)
Comment 36 Upstream Release Monitoring 2015-05-18 08:43:29 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9773318
Comment 37 Upstream Release Monitoring 2015-05-23 08:44:51 EDT
Latest upstream release: 0.9.18.1
Current version/release in rawhide: 0.9.9.1-5.fc23
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 38 Upstream Release Monitoring 2015-05-23 08:45:00 EDT
Created attachment 1029027 [details]
[patch] Update to 0.9.18.1 (#999011)
Comment 39 Upstream Release Monitoring 2015-05-23 08:46:23 EDT
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9832686
Comment 40 Jens Petersen 2015-05-24 23:09:06 EDT
comment 33
Comment 41 Upstream Release Monitoring 2015-08-31 20:14:33 EDT
Latest upstream release: 0.9.19
Current version/release in rawhide: 0.9.9.1-6.fc23
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 42 Upstream Release Monitoring 2015-08-31 20:14:42 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-9WmPFV/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-9WmPFV/100.0%: No such file or directory
Comment 43 Upstream Release Monitoring 2015-09-22 08:12:30 EDT
Latest upstream release: 0.9.19.1
Current version/release in rawhide: 0.9.9.1-6.fc23
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 44 Upstream Release Monitoring 2015-09-22 08:12:37 EDT
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-aHAml3/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-aHAml3/100.0%: No such file or directory
Comment 45 Upstream Release Monitoring 2015-11-10 07:21:52 EST
Latest upstream release: 0.9.20
Current version/release in rawhide: 0.9.9.1-6.fc23
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 46 Upstream Release Monitoring 2015-11-10 07:22:02 EST
Created attachment 1092196 [details]
[patch] Update to 0.9.20 (#999011)
Comment 47 Upstream Release Monitoring 2015-11-10 08:14:05 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11770064
Comment 48 Upstream Release Monitoring 2015-12-17 19:28:01 EST
Latest upstream release: 0.9.20.2
Current version/release in rawhide: 0.9.9.1-6.fc23
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 49 Upstream Release Monitoring 2015-12-17 19:28:19 EST
Created attachment 1106941 [details]
[patch] Update to 0.9.20.2 (#999011)
Comment 50 Upstream Release Monitoring 2015-12-17 20:13:00 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12227823
Comment 51 Upstream Release Monitoring 2016-01-20 19:12:29 EST
Latest upstream release: 0.10
Current version/release in rawhide: 0.9.9.1-6.fc23
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 52 Upstream Release Monitoring 2016-01-20 19:12:40 EST
Created attachment 1116744 [details]
[patch] Update to 0.10 (#999011)
Comment 53 Upstream Release Monitoring 2016-01-20 19:16:02 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12626152
Comment 54 Upstream Release Monitoring 2016-02-26 19:20:12 EST
Latest upstream release: 0.10.1
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 55 Upstream Release Monitoring 2016-02-26 19:20:22 EST
Created attachment 1130935 [details]
[patch] Update to 0.10.1 (#999011)
Comment 56 Upstream Release Monitoring 2016-02-26 19:37:55 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13143408
Comment 57 Upstream Release Monitoring 2016-02-27 07:13:17 EST
Latest upstream release: 0.10.2
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.
Comment 58 Upstream Release Monitoring 2016-02-27 07:13:27 EST
Created attachment 1131078 [details]
[patch] Update to 0.10.2 (#999011)
Comment 59 Upstream Release Monitoring 2016-02-27 07:17:07 EST
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=13149263
Comment 60 Upstream Release Monitoring 2016-03-19 20:13:05 EDT
Latest upstream release: 0.10.3
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1363/
Comment 61 Upstream Release Monitoring 2016-03-19 20:13:14 EDT
Patching or scratch build for idris and version 0.9.9.1 FAILED.
See for details
Comment 62 Upstream Release Monitoring 2016-03-19 20:13:15 EDT
Created attachment 1138150 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 63 Upstream Release Monitoring 2016-03-19 20:13:17 EDT
Patches were not touched. All were applied properly
Comment 64 Upstream Release Monitoring 2016-03-25 20:13:40 EDT
Latest upstream release: 0.11
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1363/
Comment 65 Upstream Release Monitoring 2016-03-25 20:13:47 EDT
Patching or scratch build for idris and version 0.9.9.1 FAILED.
See for details
Comment 66 Upstream Release Monitoring 2016-03-25 20:13:49 EDT
Created attachment 1140482 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 67 Upstream Release Monitoring 2016-03-25 20:13:51 EDT
Patches were not touched. All were applied properly
Comment 68 Upstream Release Monitoring 2016-05-02 20:13:57 EDT
Latest upstream release: 0.11.1
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1363/
Comment 69 Upstream Release Monitoring 2016-05-02 20:14:14 EDT
Patching or scratch build for idris-0.9.9.1 failed.
Comment 70 Upstream Release Monitoring 2016-05-02 20:14:16 EDT
Created attachment 1153109 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 71 Upstream Release Monitoring 2016-05-02 20:14:18 EDT
Following patches has been deleted:
['idris-ASTBuilding-ghc78.patch', 'idris-rts-opt-fprintf.patch']
Comment 72 Upstream Release Monitoring 2016-05-02 20:14:19 EDT
Following patches has been unapplied:
['idris-ASTBuilding-ghc78.patch', 'idris-rts-opt-fprintf.patch']
Comment 73 Upstream Release Monitoring 2016-05-18 08:16:22 EDT
Latest upstream release: 0.11.2
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1363/
Comment 74 Upstream Release Monitoring 2016-05-18 08:16:40 EDT
Patching or scratch build for idris-0.9.9.1 failed.
Comment 75 Upstream Release Monitoring 2016-05-18 08:16:42 EDT
Created attachment 1158774 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 76 Upstream Release Monitoring 2016-05-18 08:16:44 EDT
Following patches has been unapplied:
['idris-ASTBuilding-ghc78.patch', 'idris-rts-opt-fprintf.patch']
Comment 77 Upstream Release Monitoring 2016-06-21 08:13:30 EDT
Latest upstream release: 0.12
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1363/
Comment 78 Upstream Release Monitoring 2016-06-21 08:13:47 EDT
Patching or scratch build for idris-0.9.9.1 failed.
Comment 79 Upstream Release Monitoring 2016-06-21 08:13:49 EDT
Created attachment 1170233 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 80 Upstream Release Monitoring 2016-06-21 08:13:51 EDT
Following patches has been unapplied:
['idris-ASTBuilding-ghc78.patch', 'idris-rts-opt-fprintf.patch']
Comment 81 Jens Petersen 2016-06-22 07:11:57 EDT
fhbz: cblrpm missingdeps output for idris-0.12:


annotated-wl-pprint
cheapskate
fingertree
ieee754
parsers
terminal-size
trifecta

parsers needs: base-orphans charset
trifecta needs: (charset) comonad (fingertree) lens (parsers) profunctors reducers
Comment 82 Upstream Release Monitoring 2016-07-26 08:16:38 EDT
Latest upstream release: 0.12.1
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1363/
Comment 83 Upstream Release Monitoring 2016-07-26 08:16:56 EDT
Patching or scratch build for idris-0.9.9.1 failed.
Comment 84 Upstream Release Monitoring 2016-07-26 08:16:58 EDT
Created attachment 1184235 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 85 Upstream Release Monitoring 2016-07-26 08:17:00 EDT
Following patches has been unapplied:
['idris-ASTBuilding-ghc78.patch', 'idris-rts-opt-fprintf.patch']
Comment 86 Jens Petersen 2016-08-05 10:50:03 EDT
fhbz: cblrpm missingdeps output for idris-0.12.1:

Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
Failed to synchronize cache for repo 'rcm-tools-fedora-rpms', 無効化。
annotated-wl-pprint
cheapskate
fingertree
ieee754
parsers
terminal-size
trifecta

parsers needs: base-orphans charset
trifecta needs: (charset) comonad (fingertree) lens (parsers) profunctors reducers
Comment 87 Upstream Release Monitoring 2016-08-08 08:35:00 EDT
Latest upstream release: 0.12.2
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1363/
Comment 88 Upstream Release Monitoring 2016-08-08 08:35:18 EDT
Patching or scratch build for idris-0.9.9.1 failed.
Comment 89 Upstream Release Monitoring 2016-08-08 08:35:20 EDT
Created attachment 1188721 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 90 Upstream Release Monitoring 2016-08-08 08:35:22 EDT
Following patches has been unapplied:
['idris-ASTBuilding-ghc78.patch', 'idris-rts-opt-fprintf.patch']
Comment 91 Upstream Release Monitoring 2016-09-18 20:13:17 EDT
Latest upstream release: 0.12.3
Current version/release in rawhide: 0.9.9.1-7.fc24
URL: http://hackage.haskell.org/package/idris

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/1363/
Comment 92 Upstream Release Monitoring 2016-09-18 20:13:39 EDT
Patching or scratch build for idris-0.9.9.1 failed.
Comment 93 Upstream Release Monitoring 2016-09-18 20:13:41 EDT
Created attachment 1202266 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.
Comment 94 Upstream Release Monitoring 2016-09-18 20:13:44 EDT
Following patches has been unapplied:
['idris-ASTBuilding-ghc78.patch', 'idris-rts-opt-fprintf.patch']
Comment 95 Jens Petersen 2016-10-04 06:19:55 EDT
I think we need to drop idris from Fedora 25 alas since too many deps are missing.

Users can use https://copr.fedorainfracloud.org/coprs/petersen/idris
Comment 96 Fedora Admin XMLRPC Client 2016-10-04 06:47:11 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.